Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.dialogs
Class DialogMessageArea

    java.lang.Object
      org.eclipse.jface.dialogs.DialogMessageArea

public class DialogMessageArea
extends Object

The DialogMessageArea is a resusable component for adding an accessible message area to a dialog. When the message is normal a CLabel is used but an errors replaces the message area with a non editable text that can take focus for use by screen readers.

Since:
  3.0

Constructor Summary
`DialogMessageArea()` Create a new instance of the receiver.

Method Summary
`void` | `clearErrorMessage()` Clear the error message.
`void` | `createContents(Composite parent)` Create the contents for the receiver.
`void` | `restoreTitle()` Enable the title and disable the message text and image.
`void` | `setMessageLayoutData(Object layoutData)` Set the layoutData for the messageArea.
`void` | `setTitleLayoutData(Object layoutData)` Set the layoutData for the title area.
`void` | `showTitle(String titleMessage, Image titleImage)` Show the title.
`void` | `updateText(String newMessage, int newType)` Show the new message in the message text and update the image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialogMessageArea

    public DialogMessageArea()

  Create a new instance of the receiver.

Method Detail

### createContents

    public void createContents(Composite parent)

  Create the contents for the receiver.

  Parameters:
    `parent` - the Composite that the children will be created in

### setTitleLayoutData

    public void setTitleLayoutData(Object layoutData)

  Set the layoutData for the title area. In most cases this will be a copy of the layoutData used in setMessageLayoutData.

  Parameters:
    `layoutData` - the layoutData for the title
  See Also:
    `setMessageLayoutData(Object)`

### setMessageLayoutData

    public void setMessageLayoutData(Object layoutData)

  Set the layoutData for the messageArea. In most cases this will be a copy of the layoutData used in setTitleLayoutData.

  Parameters:
    `layoutData` - the layoutData for the message area composite.
  See Also:
    `setTitleLayoutData(Object)`

### showTitle

    public void showTitle(String titleMessage,
                          Image titleImage)

  Show the title.

  Parameters:
    `titleMessage` - String for the titke
    `titleImage` - Image or `null`

### restoreTitle

    public void restoreTitle()

  Enable the title and disable the message text and image.

### updateText

    public void updateText(String newMessage,
                           int newType)

  Show the new message in the message text and update the image. Base the background color on whether or not there are errors.

  Parameters:
    `newMessage` - The new value for the message
    `newType` - One of the IMessageProvider constants. If newType is IMessageProvider.NONE show the title.
  See Also:
    `IMessageProvider`

### clearErrorMessage

    public void clearErrorMessage()

  Clear the error message. Restore the previously displayed message if there is one, if not restore the title label.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.